# Remove-RASHALBDevice.md

## NAME

Remove-RASHALBDevice

## SYNOPSIS

Removes and uninitializes the specified HALB Devices that are used by the specific HALB Virtual Server.

## SYNTAX

**Remove-RASHALBDevice** \[[HALBId](#halbid-string)] *(uint)* \[[DeviceId](#deviceid-string)] *(uint)* \[[NoUnInstall](#nouninstall-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASHALBDevice \[-[InputObject](#inputobject)] *(*[*HALBSettings*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/halbsettings.md)*)* \[[DeviceId](#deviceid-string)] *(uint)* \[[NoUnInstall](#nouninstall-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASHALBDevice \[[HALBName](#halbname-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] \[[DeviceId](#deviceid-string)] *(uint)* \[[NoUnInstall](#nouninstall-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Removes and uninitializes the specified HALB Devices that are used by the specific HALB Virtual Server.

## PARAMETERS

## HALBId (uint)

The HALB Virtual Server ID.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## DeviceId (uint)

The HALB Device ID used by the HALB Virtual Server.

```
        Required?                    true

        Position?                    2

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## HALBName (string)

The HALB Virtual Server name.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

The site ID of the HALB Virtual Server.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## NoUnInstall (SwitchParameter)

If the switch is set, HALB Devices will not be un-initialized.

```
        Required?                    false

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([HALBSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/halbsettings.md))

An object of type HALBSettings.

The object is obtained using the Get-RASHALB cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[HALBSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/halbsettings.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Remove-RASHALBDevice -HALBId 1 -DeviceIPs "1.2.3.4", "1.2.3.1"

Removes and uninitializes a selection of HALB Devices that are use by the HALB Virtual Server with id 1.\
\*\*---------- EXAMPLE 2 ----------

Remove-RASHALBDevice -HALBName "HALB-VS" -DeviceIPs "1.2.3.4", "1.2.3.1"

Removes and uninitializes a selection of HALB Devices that are use by the HALB Virtual Server with name "HALB-VS".

## RELATED LINKS

* [Add-RASHALBDevice](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rashalbdevice.md)
* [Get-RASHALBDevice](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rashalbdevice.md)
* [Set-RASHALBDevicePriority](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rashalbdevicepriority.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rashalbdevice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
